Version=Enterprise-${APP_VER}
LicenseType=${LICENSE_TYPE}

Server=localhost
nms.global.services.address=localhost
provisioning.port=8082
provisioning.timeout=600000
provisioning.ssl.enabled=false
nms.ha.enabled=false
nms.poller.scheduled.enabled=true
nms.poller.distributed.enabled=false
nms.poller.scheduled.cron.expression=0 */6 * * *
nms.poller.pollingMaxIdleTime=15
nms.poller.genericMessageReceiverPoolSize=10
nms.poller.pollingMessageReceiverPoolSize=10

nms.event.store.interval=1

DatabaseType=${new.DatabaseType}
JdbcUrl=${new.JdbcUrl}

nms.global.db.jdbcUrl=${JdbcUrl}

nms.global.db.driverClass=${new.nms.global.db.driverClass}

nms.global.db.driverClass-oracle=oracle.jdbc.driver.OracleDriver
nms.global.db.driverClass-postgresql=org.postgresql.Driver

JdbcUrl-oracle=jdbc:oracle:thin:@localhost:1521:xe
JdbcUrl-postgresql=jdbc:postgresql://localhost/nms

KeepAlive=disable
IntegratedFaultSystems=
KeepAliveRate=20

ServerWWW=https://localhost:8443/nms/

user.preferences.cache.expire=720

database.DbmsPoolType=c3p0
database.DbmsPoolOnGuiEnabled=false
database.enableUniqueConnectionOnAutoProv=true
database.enableUniqueConnectionOnLogin=true
database.enableUniqueConnectionOnWeb=true
database.monitor.limits.maxPreparedStatementBatching=500000

database.pool.c3p0.acquireIncrement=5
database.pool.c3p0.acquireRetryAttempts=9
database.pool.c3p0.acquireRetryDelay=5000
database.pool.c3p0.checkoutTimeout=0
database.pool.c3p0.idleConnectionTestPeriod=1800
database.pool.c3p0.minPoolSize=15
database.pool.c3p0.initialPoolSize=15
database.pool.c3p0.maxPoolSize=150
database.pool.c3p0.maxIdleTime=0
database.pool.c3p0.maxStatementsPerConnection=0
database.pool.c3p0.statementCacheNumDeferredCloseThreads=0
database.pool.c3p0.numHelperThreads=3
database.pool.c3p0.unreturnedConnectionTimeout=0
database.pool.c3p0.debugUnreturnedConnectionStackTraces=false
database.pool.c3p0.testConnectionOnCheckout=false
database.pool.c3p0.testConnectionOnCheckin=false
database.pool.c3p0.idleConnectionTestPeriod=0

provisioning.db.driver.class=${nms.global.db.driverClass}
provisioning.db.url=${JdbcUrl}

provisioning.base.uri=http://${Server}:${provisioning.port}

provisioning.db.pool.acquire.increment=5
provisioning.db.pool.acquire.retry.attempts=9
provisioning.db.pool.acquire.retry.delay=2000
provisioning.db.pool.checkout.timeout=0
provisioning.db.pool.idle.connection.test.period=60
provisioning.db.pool.min.pool.size=2
provisioning.db.pool.max.pool.size=20
provisioning.db.pool.max.idle.time=120
provisioning.db.pool.num.helper.threads=3

nms.standalone.services.base.url=https://${nms.global.services.address}:8101
nms.standalone.services.websocket.uri=wss://${nms.global.services.address}:8101
nms.data.collector.client.http.connection.pool.size=20
nms.inventory.client.http.connection.pool.size=20

importation.uri=${nms.standalone.services.base.url}
provisioning.uri=${provisioning.base.uri}/service
nms.discovery.url=${nms.standalone.services.base.url}
nms.inventory.url=${nms.standalone.services.base.url}
license.uri=${nms.standalone.services.base.url}
merge.uri=${nms.standalone.services.base.url}
nms.profiles.uri=${nms.standalone.services.base.url}
nms.nes.uri=${nms.standalone.services.base.url}
nms.status.uri=${nms.standalone.services.base.url}
nms.data.collector.uri=${nms.standalone.services.base.url}
device.management.web.uri=${nms.standalone.services.base.url}
nms.dynamic.device.config.uri=${nms.standalone.services.base.url}
nms.cli.template.server.uri=${nms.standalone.services.base.url}
nms.cli.template.client.uri=${nms.standalone.services.base.url}
nms.cli.template.client.template.instance.add.uri=${nms.cli.template.client.uri}/#/templateinstance/add
nms.dynamic.device.config.client.uri=${nms.standalone.services.base.url}

nms.nes.websocket.uri=${nms.standalone.services.websocket.uri}

nes.device.cache.expire.time=6
nes.device.cache.expire.unit=HOURS
nes.device.cache.size=200

status.device.cache.expire.time=6
status.device.cache.expire.unit=HOURS
status.device.cache.size=200

client.device.cache.expireTime=360
client.device.cache.maximumSize=50

nms.cli.template.others.rest.client.connection_pool_size=1

nms.cli.template.activation.service.protocols=SSH,TELNET
nms.cli.template.activation.concurrency=10

cli.output.prompt.regex[0]=>\\s?\\s?$
cli.output.prompt.regex[1]=#\\s$
cli.output.prompt.regex[2]=#$
cli.output.prompt.regex[3]=d:$
cli.output.prompt.regex[4]=\\$\\s$
cli.output.prompt.regex[5]=\\$$
cli.output.prompt.regex[6]=Password: 
cli.output.prompt.regex[7]=DO NOT POWER OFF THE DEVICE UNTIL UPGRADE IS COMPLETE

cli.output.terminalPaging.regex[0]=--More--
cli.output.terminalPaging.regex[1]=\\(END\\)
cli.output.terminalPaging.regex[2]=\\r\\n:\\x1B\\[.
cli.output.terminalPaging.regex[3]=-- more --, next page: Space, continue: g, quit: \\^C
cli.output.terminalPaging.regex[4]=\.+press ENTER to next line, SPACE key to next page, Q or other key to quit\.+
cli.output.terminalPaging.regex[5]=\.+press ENTER to next line, CTRL_C to quit, other key to next page\.+
cli.output.terminalPaging.regex[6]=-- \\[Q quit\\|D dump\\|.*?\\]

cli.output.confirmation.regex[0]=[\\[\\(<][yY]\\/[nN][>\\)\\]]
cli.output.confirmation.response[0]=y
cli.output.confirmation.regex[1]=[\\[\\(<](?:no|NO|yes|YES)[\\/,](?:yes|YES|no|NO)[>\\)\\]]
cli.output.confirmation.response[1]=yes
cli.output.error.regex[0]=% \\d+:?
cli.output.error.regex[1]=%Error:?
cli.output.error.regex[2]=syntax error:
cli.output.error.regex[3]=aborted:
cli.output.error.regex[4]=Uncommitted changes found, commit them\\? \\[yes\\/no\\/CANCEL\\]
cli.output.error.regex[5]=% Invalid word detected at
cli.output.error.regex[6]=% No such interface type
cli.output.error.regex[7]=Invalid parameter
cli.output.error.regex[8]=This MEP is not enabled
cli.output.error.regex[9]=^(?!.*Current).*Error:
cli.output.error.regex[10]=% Incomplete command
cli.output.error.regex[11]=failed: Bad file permissions
cli.output.error.regex[12]=File not found.
cli.output.error.regex[13]=Operation timed out.
cli.output.error.regex[14]=% EVC
cli.output.error.regex[15]=Waiting for firmware update to complete
cli.output.error.regex[16]=% Cold reload in progress, please stand by.
cli.output.error.regex[17]=% Invalid input detected
cli.output.error.regex[18]=The ping source is invalid.
cli.output.error.regex[19]=Authentication Denied. Invalid user credentials!
cli.output.error.regex[20]=Authentication Failed. Invalid authentication method configuration!
cli.output.error.regex[21]=Incorrect input
cli.output.error.regex[22]=Incorrect password!
cli.output.error.regex[23]=Invalid user name. User name can be up to
cli.output.error.regex[24]=Error!
cli.output.error.regex[25]=while clearing the ARP Cache
cli.output.error.regex[26]=Command not found
cli.output.error.regex[27]=Failure Information
cli.output.error.regex[28]=Value is out of range
cli.output.error.regex[29]=Aborted:
cli.output.error.regex[30]=% Cannot set a port-channel member
cli.output.error.regex[31]=already exists
cli.output.error.regex[32]=Set failed
cli.output.error.regex[33]=Cannot exit
cli.output.error.regex[34]=Invalid command
cli.output.error.regex[35]=System error
cli.output.error.regex[36]=is not valid
cli.output.error.regex[37]=% Unknown command.
cli.output.error.regex[38]=bad command.*\\(line \\d column \\d\\)
cli.output.error.regex[39]=failure:


cli.output.clean.regex[0]=(\\x1B7)?(\\x9B|\\x1B\\[)[0-?]*[ -\\/]*[@-~](\\x1B[=>]\\r?)*
cli.output.clean.regex[1]=.\\x08 \\x08

nms.cli.template.passphrase=password
